package com.kingdee.eas.custom.attendanceexception.bean;

import java.util.UUID;

/**
 * @Description TODO
 * @Date 2025/4/17 9:51
 * @Created by Heyuan
 */
public class DingMsgBean {
    //消息 id
    private String msgId;
    //
    private String title;
    private String content;
    private Boolean toAllUser;
    private String alertUser;
    //提醒方式类型，1：工作通知，2：应用消息，3：群消息
    private Integer alertType;


    public DingMsgBean(String msgId, String title, String content, String alertUser) {
        this.msgId = UUID.randomUUID().toString();
        this.title = title;
        this.content = content;
        this.toAllUser = false;
        this.alertUser = alertUser;
        this.alertType = 2;
    }

    public String getMsgId() {
        return msgId;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public Boolean getToAllUser() {
        return toAllUser;
    }

    public String getAlertUser() {
        return alertUser;
    }

    public Integer getAlertType() {
        return alertType;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setToAllUser(Boolean toAllUser) {
        this.toAllUser = toAllUser;
    }

    public void setAlertUser(String alertUser) {
        this.alertUser = alertUser;
    }

    public void setAlertType(Integer alertType) {
        this.alertType = alertType;
    }

    @Override
    public String toString() {
        return "DingMsgBean{" +
                "msgId='" + msgId + '\'' +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", toAllUser=" + toAllUser +
                ", alertUser='" + alertUser + '\'' +
                ", alertType=" + alertType +
                '}';
    }
}
